var assert = require('assert');
var genericCommand = require('genericCommand');
var userCmd = genericCommand(require('cmd/fh3/user'));

var nock = require('nock');
var data = {
  "accessDomain": "testing",
  "accountType": "enterprise",
  "created": 1471903804842,
  "customer": "test88888848888839084888",
  "displayName": "Example User",
  "domain": "support",
  "domainType": "",
  "domain_guid": "somedomainguid-3",
  "email": "usertest@example.com",
  "fhaaa.authorisation.enabled": "true",
  "guid": "someguid",
  "hierarchy": {
    "cluster": "sam1-core",
    "cluster/reseller": "t-xxxxxxxxxxxxxxxxxxxxx",
    "cluster/reseller/customer": "test88888848888839084888",
    "cluster/reseller/customer/user": "test88888848888839084888"
  },

  "keys": [
    {
      "key": "ssh-rsaXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "My_Personal_Key_1472563094058"
    }
  ],
  "permissions": [
    "cluster/reseller/customer/domain/project/client-apps/source-code:read",
    "cluster/reseller/customer/domain/admin/app-store/device:write",
    "cluster/reseller/customer/domain/project/cloud-apps/endpoint:write",
    "cluster/reseller/customer/domain/project/analytics:write",
    "cluster/reseller:write",
    "cluster/reseller/customer/domain/project/cloud-apps/data-browser:read",
    "cluster/reseller/customer/domain/admin/app-store/store-item-group:write",
    "cluster/reseller/customer/domain/analytics:read",
    "cluster/reseller/customer/domain/project/lifecycle:write",
    "cluster/reseller/customer/domain/project/cloud-apps/cloud-deployment:read",
    "cluster/reseller/customer/domain/templates:read",
    "cluster/reseller/user:write",
    "cluster/reseller/customer/domain/service:read",
    "cluster/reseller/customer/domain/service/documentation:read",
    "cluster/reseller/customer/domain/project/cloud-apps/environment-variable:read",
    "cluster/reseller/customer/domain/drag-and-drop-app/theme:write",
    "cluster/reseller/customer/domain/service/cloud-deployment:write",
    "cluster/reseller/customer/domain/service/documentation:write",
    "cluster/reseller/customer/domain/project/client-apps/event-log:write",
    "cluster/reseller/customer/domain/project/cloud-apps/notification:write",
    "cluster/reseller/customer/domain/admin/mbaas-target:read",
    "cluster/reseller/customer/domain/project/legacy-app-key:read",
    "cluster/reseller/customer/domain/admin/user:write",
    "cluster/reseller/customer/domain/project/cloud-apps/notification:read",
    "cluster/reseller/customer/domain/project:read",
    "cluster/reseller/user/credential-bundle:read",
    "cluster/reseller/customer/domain/project/cloud-apps/event-log:write",
    "cluster/reseller/user/credential:read",
    "cluster/reseller/customer/domain/admin/auth-policy:write",
    "cluster/reseller/team:read",
    "cluster/reseller/customer/domain/project/analytics:read",
    "cluster/reseller/customer/domain/admin/mbaas-target:write",
    "cluster/reseller/customer/domain/project/client-apps/credentials:read",
    "cluster/reseller/customer/domain/project/cloud-apps/api-key:read",
    "cluster/reseller/customer/team:write",
    "cluster/reseller/customer/domain/service/cloud-apps:read",
    "cluster/reseller/customer/domain/analytics:write",
    "cluster/reseller/customer/domain/project/client-apps/log:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item/store-item-screenshot:read",
    "cluster/reseller/customer/domain/project/cloud-apps/data-browser:write",
    "cluster/reseller/customer/domain/project/client-apps/environment-variable:read",
    "cluster/reseller/customer/domain/service/stat:read",
    "cluster/reseller/customer/domain/service/data-browser:write",
    "cluster/reseller/customer/domain/project/client-apps/endpoint:write",
    "cluster/reseller/customer/domain/project/cloud-apps/notification-log:read",
    "cluster/reseller/customer/domain/project/client-apps/endpoint:read",
    "cluster/reseller/customer/domain/service/cloud-deployment:read",
    "cluster/reseller/team:write",
    "cluster/reseller/customer/user/credential:write",
    "cluster/reseller/customer/domain/project/client-apps/data-browser:write",
    "cluster/reseller/user/credential-bundle:write",
    "cluster/reseller/customer/domain/project/cloud-apps/documentation:read",
    "cluster/reseller/customer/domain/project/cloud-apps/documentation:write",
    "cluster/reseller/customer/domain/templates:write",
    "cluster/reseller/customer/domain/service/notification:write",
    "cluster/reseller/customer/domain/project/client-apps/notification-log:read",
    "cluster/reseller/customer/domain/project/client-apps/analytics:read",
    "cluster/reseller/customer/domain/project/connection:write",
    "cluster/reseller/customer/domain/project/client-apps/configuration:read",
    "cluster/reseller/customer/domain/project/client-apps:read",
    "cluster/reseller/customer/domain/service/cloud-apps/log:read",
    "cluster/reseller/customer/domain/project/client-apps/notification-log:write",
    "cluster/reseller/customer:read",
    "cluster/reseller/customer/domain/project/legacy-text-file:read",
    "cluster/reseller/customer/domain/repo:write",
    "cluster/reseller/customer/domain/project/client-apps/configuration:write",
    "cluster/reseller/customer/domain/admin/environment:read",
    "cluster/reseller/customer/domain/service/environment-variable:read",
    "cluster/reseller/customer/domain/service/stat:write",
    "cluster/reseller/customer/domain/project/client-apps/push-notifications:read",
    "cluster/reseller/customer/user/credential-bundle:read",
    "cluster/reseller/customer/domain/drag-and-drop-app:read",
    "cluster/reseller/customer/domain/drag-and-drop-app/form/deploy:write",
    "cluster/reseller/customer/domain/service/environment-variable:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/theme:read",
    "cluster/reseller/customer/user:read",
    "cluster/reseller/customer/user/credential:read",
    "cluster/reseller/customer/domain/project/cloud-apps/endpoint:read",
    "cluster/reseller/customer/domain/project/client-apps/data-browser:read",
    "cluster/reseller/customer/user/api-key:read",
    "cluster/reseller/customer/domain/service/source-code:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/form/submission:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item/store-item-binary/store-item-binary-version:write",
    "cluster/reseller/customer/domain:read",
    "cluster/reseller/customer/domain/project/cloud-apps/cloud-deployment:write",
    "cluster/reseller/customer/domain/admin/app-store/log:write",
    "cluster/reseller/customer/domain/admin/app-store/device:read",
    "cluster/reseller/customer/domain/admin/app-store/store-item/store-item-binary/store-item-binary-version:read",
    "cluster/reseller/customer/domain/project/client-apps:write",
    "cluster/reseller/customer/domain/project/client-apps/api-key:write",
    "cluster/reseller/customer/domain/service/cloud-apps:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item/store-item-binary:read",
    "cluster/reseller/customer/domain/project/client-apps/binary:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/form:write",
    "cluster/reseller/user:read",
    "cluster/reseller/customer/domain/project/client-apps/analytics:write",
    "cluster/reseller/customer/domain/project/lifecycle:read",
    "cluster/reseller/customer:write",
    "cluster/reseller/customer/domain/project/cloud-apps:read",
    "cluster/reseller/user/api-key:read",
    "cluster/reseller/customer/domain/project/client-apps/stat:write",
    "cluster/reseller/customer/domain/admin/app-store/audit-log:read",
    "cluster/reseller/customer/domain/cloud-resources:write",
    "cluster/reseller/customer/domain/admin/auth-policy:read",
    "cluster/reseller/customer/domain/cloud-resources:read",
    "cluster/reseller/customer/domain/project/service:read",
    "cluster/reseller/customer/domain/drag-and-drop-app/form/submission:read",
    "cluster/reseller/customer/domain/service/endpoint:read",
    "cluster/reseller/customer/domain/project/client-apps/repo:read",
    "cluster/reseller/customer/domain/project/legacy-app-key:write",
    "cluster/reseller/customer/domain/project/legacy-binary-file:read",
    "cluster/reseller/customer/domain/project/client-apps/event-log:read",
    "cluster/reseller/customer/domain/admin/app-store/store-item:read",
    "cluster/reseller/customer/domain/service/event-log:read",
    "cluster/reseller/customer/domain/project/cloud-apps/log:read",
    "cluster/reseller/customer/domain/service/cloud-apps/log:write",
    "cluster/reseller/customer/domain/admin:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item/store-item-binary:write",
    "cluster/reseller/customer/domain/project/cloud-apps/analytics:write",
    "cluster/reseller/customer/domain/admin/user:read",
    "cluster/reseller/user/credential:write",
    "cluster/reseller/customer/domain/service/analytics:read",
    "cluster/reseller/customer/domain:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item-group:read",
    "cluster/reseller/customer/domain/project/legacy-text-file:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item:write",
    "cluster/reseller/customer/domain/project/cloud-apps/environment-variable:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/data-source:read",
    "cluster/reseller/customer/domain/service:write",
    "cluster/reseller/customer/domain/project/cloud-apps/stat:write",
    "cluster/reseller/customer/domain/admin/app-store/store-item/store-item-screenshot:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/project:read",
    "cluster/reseller/customer/domain/project/client-apps/documentation:read",
    "cluster/reseller/customer/domain/drag-and-drop-app:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/data-source:write",
    "cluster/reseller/customer/domain/admin/environment:write",
    "cluster/reseller/customer/domain/project/client-apps/repo:write",
    "cluster/reseller/customer/domain/project/cloud-apps/log:write",
    "cluster/reseller/customer/domain/project/cloud-apps/analytics:read",
    "cluster/reseller/customer/domain/admin/deploy-target:read",
    "cluster/reseller/user/api-key:write",
    "cluster/reseller/customer/domain/admin/app-store/log:read",
    "cluster/reseller/customer/domain/project/client-apps/environment-variable:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/form:read",
    "cluster/reseller/customer/domain/project/cloud-resources:read",
    "cluster/reseller/customer/domain/project/cloud-apps/stat:read",
    "cluster/reseller/customer/domain/project/client-apps/stat:read",
    "cluster/reseller/customer/domain/drag-and-drop-app/project:write",
    "cluster/reseller/customer/user/credential-bundle:write",
    "cluster/reseller/customer/user:write",
    "cluster/reseller/customer/team:read",
    "cluster/reseller/customer/domain/service/notification:read",
    "cluster/reseller/customer/domain/project/connection:read",
    "cluster/reseller/customer/domain/service/source-code:read",
    "cluster/reseller/customer/user/api-key:write",
    "cluster/reseller/customer/domain/project/cloud-apps/repo:read",
    "cluster/reseller/customer/domain/service/data-browser:read",
    "cluster/reseller/customer/domain/project/cloud-apps/repo:write",
    "cluster/reseller/customer/domain/project/client-apps/binary:read",
    "cluster/reseller/customer/domain/admin/deploy-target:write",
    "cluster/reseller/customer/domain/project/client-apps/log:read",
    "cluster/reseller/customer/domain/project/client-apps/documentation:write",
    "cluster/reseller/customer/domain/project/client-apps/cloud-deployment:write",
    "cluster/reseller/customer/domain/project/client-apps/api-key:read",
    "cluster/reseller/customer/domain/admin/app-store/audit-log:write",
    "cluster/reseller/customer/domain/service/endpoint:write",
    "cluster/reseller/customer/domain/project/cloud-resources:write",
    "cluster/reseller/customer/domain/service/analytics:write",
    "cluster/reseller/customer/domain/admin:read",
    "cluster/reseller/customer/domain/project/cloud-apps/source-code:write",
    "cluster/reseller:read",
    "cluster/reseller/customer/domain/project/cloud-apps/source-code:read",
    "cluster/reseller/customer/domain/service/event-log:write",
    "cluster/reseller/customer/domain/project/client-apps/notification:read",
    "cluster/reseller/customer/domain/service/preview:read",
    "cluster/reseller/customer/domain/project/client-apps/credentials:write",
    "cluster/reseller/customer/domain/project/client-apps/push-notifications:write",
    "cluster/reseller/customer/domain/project/client-apps/cloud-deployment:read",
    "cluster/reseller/customer/domain/project/legacy-binary-file:write",
    "cluster/reseller/customer/domain/project/client-apps/notification:write",
    "cluster/reseller/customer/domain/project/client-apps/source-code:write",
    "cluster/reseller/customer/domain/project/service:write",
    "cluster/reseller/customer/domain/admin/team:write",
    "cluster/reseller/customer/domain/project/cloud-apps/notification-log:write",
    "cluster/reseller/customer/domain/project/cloud-apps/event-log:read",
    "cluster/reseller/customer/domain/admin/app-store:read",
    "cluster/reseller/customer/domain/repo:read",
    "cluster/reseller/customer/domain/service/preview:write",
    "cluster/reseller/customer/domain/drag-and-drop-app/form/deploy:read",
    "cluster/reseller/customer/domain/project/cloud-apps:write",
    "cluster/reseller/customer/domain/project/cloud-apps/api-key:write",
    "cluster/reseller/customer/domain/admin/app-store:write",
    "cluster/reseller/customer/domain/admin/team:read",
    "cluster/reseller/customer/domain/project:write"
  ],
  "prefs": {
    "accountType": "enterprise",
    "studio.version": "beta",
    "viewType": "table"
  },
  "reseller": "t-xxxxxxxxxxxxxxxxxxxxx",
  "roles": [
    "sub"
  ],
  "status": "ok",
  "sub": "test88888848888839084888",
  "teams": [
    {
      "_id": "test88888848888839084888",
      "business-objects": {
        "cluster": [
          "sam1-core"
        ],
        "cluster/reseller": [
          "t-xxxxxxxxxxxxxxxxxxxxx"
        ]
      },
      "code": "default-t-xxxxx-yyyyyyyy-write",
      "defaultTeam": true,
      "desc": null,
      "explain": "",
      "name": "Write Team",
      "perms": {
        "cluster/reseller": "write",
        "cluster/reseller/customer/domain/admin/environment": "write"
      },
      "users": [
        "XXXXXXXXXXXXXXXXXXXXXXXX",
        "XXXXXXXXXXXXXXXXXXXXXXXX",
        "XXXXXXXXXXXXXXXXXXXXXXXX",
        "XXXXXXXXXXXXXXXXXXXXXXXX",
        "XXXXXXXXXXXXXXXXXXXXXXXX"
      ]
    }
  ],
  "userId": "exampletest@redhat.com",
  "userName": "Example User",
  "version": 4184
};


module.exports = nock('https://apps.feedhenry.com')
  .get('/box/srv/1.1/ide/apps/user/read')
  .reply(200, data);

module.exports = {
  'test fhc user': function(cb) {
    userCmd({}, function(err, data) {
      assert.equal(err, null);
      assert.ok(data);
      assert.equal(data.userName, "Example User");
      return cb();
    });
  }
};